Loading...
Searching...
No Matches
ssl_client_options

Unsettled API - SSL configuration for outbound connections. More...

`#include <ssl.hpp>`

## Public Member Functions

| ssl_client_options ()
| Create SSL client with defaults (use system certificate trust database and require name verification).
| ssl_client_options (enum ssl::verify_mode)
| Create SSL client with unusual verification policy (but default certificate trust database).
| ssl_client_options (const std::string &trust_db, enum ssl::verify_mode=ssl::VERIFY_PEER_NAME)
| Create SSL client specifying the certificate trust database.
| ssl_client_options (const ssl_certificate &, const std::string &trust_db, enum ssl::verify_mode=ssl::VERIFY_PEER_NAME)
| Create SSL client with a client certificate.
| ssl_client_options (const ssl_client_options &)
ssl_client_options & | operator= (const ssl_client_options &)

## Detailed Description

Unsettled API - SSL configuration for outbound connections.

Examples
  service_bus.cpp.

The documentation for this class was generated from the following file:

- proton/ssl.hpp